Subject: Re: bug#26805: [PATCH] gs-fonts: add missing podule imports

From: Sergei Trofimovich <[email-masked]>
Date: Wed, 10 May 2017 21:41:41 +0100

On Wed, 10 May 2017 13:53:41 +0200
[email-masked] (Ludovic Courtès) wrote:

> What about adding (srfi srfi-1) to ‘%default-modules’ in (guix
> build-system gnu)?  It’s generally useful anyway.
> 
> (Alternately, we could rename SRFI-1’s ‘delete’ in (guix build utils),
> so we’d still be matching a literal, but we’d have problems in places
> that use both (guix build utils) and (srfi srfi-1).)

I'd personally say the less magic reexports - the better. It's ok to go
through all of core-updates and fix missing imports.

Would be nice the all those syntactic errors could be caught with something
lighter-weight than full 'guix build'.

I'm afraid I have no idea how symbol visibility works in guix as I'm
still struggling to find which code builds and evaluates '*-guile-builder' files.

For example what is the difference between
    (use-modules ....
and
    (arguments '(#:modules
?

Should be one preferred over another? The latter creeps in core-updates :)
    https://git.savannah.gnu.org/cgit/guix.git/log/?h=core-updates

A few recent examples:
    https://git.savannah.gnu.org/cgit/guix.git/commit/?h=core-updates&id=a8f25449114bd9035898eec3455db51c0f4d928d
    https://git.savannah.gnu.org/cgit/guix.git/commit/?h=core-updates&id=bc81e6cae40098684c14b10d0aa4c6257acbbdb6
    https://git.savannah.gnu.org/cgit/guix.git/commit/?h=core-updates&id=47babd445a9f0e6fe9356cbe362d390f09df4e3b
etc.

-- 

  Sergei